{% extends 'base/baseadmin.html' %}
{% load static %}
{% block title %}
  Detalles del Producto
{% endblock %}

{% block content %}
  <style>
    .product-image-container {
      overflow: hidden;
      position: relative;
    }
    
    .product-image {
      transition: transform 0.3s ease-in-out;
    }
    
    .product-image:hover {
      transform: scale(1.2); /* Puedes ajustar el factor de escala según tus preferencias */
    }
    
    .zoom-img {
      transition: transform 0.5s;
    }
    
    .zoom-img:hover {
      transform: scale(2); /* Ajusta el factor de escala según tus preferencias */
    }
  </style>

  <div class="container mt-5">
    <div class="row justify-content-center align-items-center">
      <div class="col-md-6 product-image-container">
        <img src="{% static 'img/Tipo polo.jpg' %}" class="img-fluid product-image zoom-img" alt="Producto 2" onmousemove="zoomImage(event)" />
      </div>

      <div class="col-md-6 text-white">
        <h2 class="text-center">Camisa tipo polo </h2>
        <h2 class="text-center">"Joint Koders Alliance"</h2>
        <p class="text-center">Camiseta tipo polo casual de la empresa "Joint Koders Alliance"</p>
        <p class="text-center">Precio unitario: $20.00 MXN</p>

        <form action="{% url 'home:rutas' %}" method="post" class="text-center">
          {% csrf_token %}
          <label for="cantidad">Cantidad:</label>
          <input type="number" id="cantidad" name="cantidad" value="1" min="1" />
        </form>
        <div class="mt-2"></div>
        <form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank" class="text-center">
          <input type="hidden" name="cmd" value="_s-xclick" />
          <input type="hidden" name="hosted_button_id" value="ZGG3QKYKSU6TW" />
          <input type="hidden" name="currency_code" value="MXN" />
          <input type="image" src="https://www.paypalobjects.com/es_XC/MX/i/btn/btn_buynowCC_LG.gif" border="0" name="submit" title="PayPal es una forma segura y fácil de pagar en línea." alt="Comprar ahora" />
        </form>
        <div class="mt-3 text-center">
          <a href="/" class="btn btn-outline-light">Volver</a>
        </div>
      </div>
    </div>
  </div>

  <script>
    function zoomImage(event) {
      const img = event.currentTarget
      const boundingRect = img.getBoundingClientRect()
    
      const mouseX = event.clientX - boundingRect.left
      const mouseY = event.clientY - boundingRect.top
    
      const percentX = mouseX / boundingRect.width
      const percentY = mouseY / boundingRect.height
    
      img.style.transformOrigin = `${percentX * 100}% ${percentY * 100}%`
    }
  </script>
{% endblock %}
 